@import "../../styles/variables";

// extendable class for height dimensions
.top-bar-dimensions {
  height: $navbar-height;
  line-height: $navbar-height;
}

zs-top-bar {
  width: 100%;
  height: $navbar-height;
  line-height: $navbar-height;
  margin-top: 0; // for animation
}

.top-bar {
  @extend .top-bar-dimensions;
  background: $primary-color;
  position: relative;
  width: 100%;
  padding: 0 10px;
  transition: background 200ms ease;
  z-index: 9;

  &.top-bar-highlighted {
    .top-bar-action-list {
      display: none;
    }
  }
}

// button reset
.top-bar-button button,
.top-bar-button {
  background: none;
  border: none;
  padding: 0;
}

// make everything FLEX
.top-bar,
.top-bar-create,
zs-contextual-action-menu,
.top-bar-customer,
.top-bar-spot-container {
  display: flex;
}

// set heights of elements
.top-bar-create,
.top-bar-customer,
.top-bar-action-list,
.top-bar-action-list-item {
  @extend .top-bar-dimensions;
}

.top-bar-create {
  text-align: center;
}

.top-bar-customer {
  align-self: flex-start;
  white-space: nowrap;
  min-width: 0;
  font-size: 1.2rem;
}

.top-bar-menu-button {
  margin: 0 14px 0 3px;
}

a.top-bar-customer-home {
  text-align: center;
  margin-right: 12px;
  color: rgba(255, 255, 255, .6);

  &:hover {
    text-decoration: underline;
    color: #fff;
  }
}

.top-bar-next-level {
  color: rgba(255, 255, 255, .4);
  margin-right: 10px;
  font-size: 1.4rem;
}

.top-bar-current-location {
  color: rgba(255, 255, 255, .6);
  overflow: hidden;
}

.top-bar-current-location-content {
  overflow: hidden;
  text-overflow: ellipsis;
}

.top-bar-current-location-main-title {
  display: inline-block;
  text-overflow: ellipsis;
  color: rgba(255, 255, 255, 1);
  margin-right: 12px;
}

.top-bar-spot-container {
  flex-grow: 1;
  justify-content: flex-end;

  >zs-universal-search {
    max-width: 100%;
    width: 100%;
    display: block;
    flex-grow: 1;
  }
}

// button positioning
.top-bar-button,
.top-bar-button>button,
.top-bar-button>a {
  margin-top: ($navbar-height - $topbar-icon-size)*0.5;
  display: block;
}

// icon size & rounded hover
.top-bar-button {
  .mdi {
    font-size: $navbar-icon-fontsize;
    color: #fff;
    height: $topbar-icon-size;
    line-height: $topbar-icon-size;
    display: block;
    transition: background 150ms ease;
    text-align: center;
    width: $topbar-icon-size;
  }

  border-radius:$topbar-icon-size;

  &:hover,
  &:active,
  &:focus {
    background: rgba(255, 255, 255, 0.15);
    outline-width: 0;
  }
}

zs-ui-view-progress {

  position: absolute;
  display: block;
  z-index: 4;
  width: 100%;
  top: $navbar-height;

  .nprogress-custom-parent #nprogress .bar {
    background: $accent-color;
    height: 3px;
    position: static;
  }

  #nprogress .peg {
    box-shadow: 0 0 20px $accent-color, 0 0 10px $accent-color;
  }

  #nprogress .spinner-icon {
    border-top-color: $accent-color;
    border-left-color: $accent-color;
  }
}

@media screen and (min-width: $large-screen-up) {
  .top-bar-right {
    padding-left: 280px;
  }
}

@media #{$medium-and-up} {

  a.top-bar-customer-home,
  .top-bar-next-level {
    display: block;
  }
}